{
	"name": "heimdall-app",
	"dependencies": [
		"heimdall-core.prj.json"
	],
	"roottask": {
		"name": "all",
		"type": "group",
		"sub": [
			{
				"name": "postprocess",
				"sub": [
					{
						"name": "link",
						"sub": [
							{
								"name": "compile",
								"type": "typescript",
								"parameters": {
									"inputs": [
										"lib/plankton/plankton.d.ts",
										"temp/heimdall-core.d.ts",
										"source/app/cli.ts"
									],
									"target": "es2020",
									"strict": true,
									"output": "temp/heimdall-app.raw.js"
								}
							}
						],
						"type": "concat",
						"parameters": {
							"inputs": [
								"source/misc/head.js",
								"lib/plankton/plankton.js",
								"temp/heimdall-core.js",
								"temp/heimdall-app.raw.js"
							],
							"output": "temp/heimdall-app.js"
						}
					}
				],
				"type": "script",
				"parameters": {
					"path": "tools/postprocess",
					"interpreter": null,
					"inputs": [
						"temp/heimdall-app.js"
					],
					"outputs": [
						"build/heimdall"
					]
				}
			}
		]
	}
}
